Subject: 405 error when updating ticket

Description: We are seeing issues when users update their tickets, i.e. changing the status or the priority and clicking 

update.





Viewing the ticket list, opening a new ticket, viewing ticket replies and replying to tickets works just fine, but 

when the user selects a new priority or a new status and clicks "Update" the following error is seen:





@Fatal error: Uncaught exception 'kyException' with message 'HTTP error: 405' in 

/var/www/billing/modules/support/kayako/API/kyRESTClient.php:196


Stack trace:


#0 /var/www/billing/modules/support/kayako/API/kyRESTClient.php(241): 

kyRESTClient->processRequest('/Tickets/Ticket', 'PUT', Array, Array, Array)


#1 /var/www/billing/modules/support/kayako/API/kyObjectBase.php(269): 

kyRESTClient->put('/Tickets/Ticket', Array, Array)


#2 /var/www/billing/modules/support/kayako/API/kyObjectWithCustomFieldsBase.php(41): 

kyObjectBase->update()


#3 /var/www/billing/modules/support/kayako/updateticket.php(26): 

kyObjectWithCustomFieldsBase->update()


#4 /var/www/billing/modules/support/kayako/viewticket.php(107): require_once('/var/www/billin...')


#5 /var/www/billing/viewticket.php(0): unknown()


#6 {main}


  thrown in /var/www/billing/modules/support/kayako/API/kyRESTClient.php on line 196


@





I've searched both sides and I can't see where the 405 is being generated, can you offer any suggestion or 

assistance on what might be going wrong here?

History

02/13/2014 05:44 am - Mansi Wason

- Status changed from New to Closed

02/13/2014 05:57 am - Mansi Wason

Hi,





Kindly track the https://forge.kayako.com/issues/178 issue in case of clarity of issue.








Thanks and Regards,


Mansi Wason

02/27/2014 04:22 am - Mansi Wason

- Status changed from Closed to Resolved

06 Apr 2025 1/1


